Subject: Re: bug#16572: 24.3; Org (20140127) in Elpa issues warnings on compile

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Jan 2014 13:22:05 -0500

Neil Jackson wrote:

> Expected behaviour:
> Packages in Elpa compile without warnings.

I'm afraid this is an unrealistic expectation.
It is certainly desirable, but it is almost impossible in practice.
Even Emacs itself does not self-compile without warnings.
It is even more difficult for a package, which may want to support
multiple versions of Emacs.
It is not a bug for there to be compiler warnings, so as a general rule
I ask you please not to report warnings as bugs, unless you have some
other evidence that there is a bug.
In general a warnings is just that - a warning, not an error.

> org-agenda.el:8276:6:Warning: org-move-to-column called with 4 arguments, but
>     accepts only 1-3

That may be a real issue. I imagine it is due to multiple Org versions
being present.